org.eclipse.eef.core.api.controllers

## Class AbstractEEFOnClickController

- java.lang.Object
- - org.eclipse.eef.core.api.controllers.AbstractEEFController
  - - org.eclipse.eef.core.api.controllers.AbstractEEFWidgetController
    - - org.eclipse.eef.core.api.controllers.AbstractEEFOnClickController

All Implemented Interfaces:
  IEEFController, IEEFOnClickController, IEEFWidgetController

Direct Known Subclasses:
  EEFHyperlinkController, EEFListController

    public abstract class AbstractEEFOnClickController
    extends AbstractEEFWidgetController
    implements IEEFOnClickController

This class is used to provide utilities to on click controller.

### Field Summary

### Fields inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFWidgetController

`newHelpConsumer, newLabelConsumer`

### Fields inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFController

`editingContextAdapter, interpreter, variableManager`

### Constructor Summary

Constructors
Constructor and Description
`AbstractEEFOnClickController(org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter editingContextAdapter)` The constructor.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract java.lang.String` `getOnClickExpression()` Returns the on click expression.
`void` `onClick(java.lang.Object element, java.lang.String onClickEventKind)` Invoked when the user clicks on an object.

### Methods inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFWidgetController

`computeHelp, getDescription, getValidationRulesContainer, getValidationRulesReference, onNewHelp, onNewLabel, refresh, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFController

`newEval, onValidation, removeValidationConsumer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFWidgetController

`computeHelp, onNewHelp, onNewLabel, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, refresh, removeValidationConsumer`

### Constructor Detail

#### AbstractEEFOnClickController

    public AbstractEEFOnClickController(org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                        org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                        EditingContextAdapter editingContextAdapter)

The constructor.

Parameters:
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `editingContextAdapter` - The editing context adapter

### Method Detail

#### onClick

    public void onClick(java.lang.Object element,
                        java.lang.String onClickEventKind)

Invoked when the user clicks on an object.

Specified by:
  `onClick` in interface `IEEFOnClickController`
Parameters:
  `element` - Semantic element
  `onClickEventKind` - The kind of event (single click or double click)
See Also:
  `IEEFOnClickController.onClick(java.lang.Object, java.lang.String)`

#### getOnClickExpression

    protected abstract java.lang.String getOnClickExpression()

Returns the on click expression.

Returns:
  The on click expression